.single-user-item-manageable {
  display: flex;
  flex-wrap: wrap;
  font-family: 'Rubik', sans-serif;
  color: rgba(67, 74, 84, 0.8);
  font-size: 12px;
  position: relative;


  .single-user-item-manageable__hidden_wrapper {
    width: 100%;
  }

  .remove-block-tooltip-container {
    .navigation-button {
        height: 50px;
      }
  }

  .single-user-item-manageable__section_first,
  .single-user-item-manageable__section_second,
  .single-user-item-manageable__section_third,
  .single-user-item-manageable__section_fourth,
  .single-user-item-manageable__section_fifth {
    width: 100%;
    height: 48px;
    box-sizing: border-box;
  }
  .single-user-item-manageable__section_first {
    display: flex;
    flex-wrap: nowrap;
    box-sizing: border-box;
    border-bottom: 2px solid rgba(0, 0, 0, 0.12);
    .single-user-item-manageable__section_first__left_part {
      width: 64px;
      display: flex;
      justify-content: center;
      align-items: center;
      .single-user-item-manageable__section_first__left_part__img_container {
        width: 32px;
        .single-user-item-manageable__section_first__left_part__img {
          background-color: rgb(204, 209, 217);
          border-radius: 50%;
          width: 32px;
          height: 32px;
          outline: none;
          border-color: transparent;
        }
      }
    }
    .single-user-item-manageable__section_first__right_part {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      align-content: center;
      align-items: center;
      .single-user-item-manageable__section_first__right_part__name_lastname_container {
        display: flex;
        flex-wrap: nowrap;
        .single-user-item-manageable__section_first__right_part__name_lastname_container_name {
          padding-right: 3px;
        }
      }
    }

  }
  .single-user-item-manageable__section_first__right_part__role {
    text-transform: uppercase;
  }
  .single-user-item-manageable__section_first__right_part__name_lastname_container {
    width: 100%;
  }
  .single-user-item-manageable__hidden_wrapper {
    transition: max-height 1s ease;
    max-height: 0px;
    overflow: hidden;
  }
  .single-user-item-manageable__section_second {
    padding: 0 8px;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    .single-user-item-manageable__section_second__email,
    .single-user-item-manageable__section_second__current_email {
      width: 100%;
    }
    .single-user-item-manageable__section_second__email {
      font-size: 8px;
      color: rgb(105, 110, 118);
      padding-bottom: 2px;
    }
    .single-user-item-manageable__section_second__current_email {
      font-size: 12px;
      padding-top: 2px;
    }
    .single-user-item-manageable__section_second__email:first-letter {
      text-transform: uppercase;
    }
  }
  .single-user-item-manageable__section_third {
    padding: 0 8px;
    display: flex;
    flex-wrap: nowrap;
    border-bottom: 2px solid rgba(0, 0, 0, 0.12);
    .single-user-item-manageable__section_third__status,
    .single-user-item-manageable__section_third__registration_date {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      align-content: center;
      .single-user-item-manageable__section_third__status_name,
      .single-user-item-manageable__section_third__registration_date__name {
        width: 100%;
        font-size: 8px;
        padding-bottom: 2px;
        color: rgb(105, 110, 118);
      }
      .single-user-item-manageable__section_third__status_name:first-letter,
      .single-user-item-manageable__section_third__registration_date__name:first-letter {
        text-transform: uppercase;
      }
      .single-user-item-manageable__section_third__registration_date__current_date,
      .single-user-item-manageable__section_third__status__current_status {
        padding-top: 2px;
        text-transform: capitalize;
        width: 100%;
        p {
          width: 100%;
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
  }
  .single-user-item-manageable__section_fourth {
    display: none;
  }
  .single-user-item-manageable__section_fifth {
    color: rgba(255, 255, 255, 0.8);
//    background-color: rgb(67, 74, 84);
    display: flex;
    flex-wrap: nowrap;
    padding: 0 0 0 8px;
    .single-user-item-manageable__section_fifth__left_part {
      text-transform: uppercase;
      width: 100%;
      display: flex;
      justify-content: flex-start;
      align-items: center;
      border-right: 1px solid rgba(255, 255, 255, 0.12);
      box-sizing: border-box;
    }
    .single-user-item-manageable__section_fifth__right_part {
      width: 96px;
      flex-shrink: 0;
      display: flex;
      flex-wrap: nowrap;
      .single-user-item-manageable__section_fifth__right_part__resend,
      .single-user-item-manageable__section_fifth__right_part__delete,
      .single-user-item-manageable__section_fifth__right_part__edit {
        cursor: pointer;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
      }
      .single-user-item-manageable__section_fifth__right_part__resend {
        cursor: auto;

        &:hover {
          opacity: 0.75;
        }

        span {
          margin-left: 5px;
          background-image: none;
        }
      }
      .single-user-item-manageable__section_fifth__right_part__resend {
        display: none;
      }
    }
  }
}
.single-user-item-manageable.pending {
  background-color: rgba(39, 162, 206, 0.12);
  .single-user-item-manageable__section_fifth {
    .single-user-item-manageable__section_fifth__right_part {
      width: 144px;
      .single-user-item-manageable__section_fifth__right_part__resend {
        display: block;
        cursor: pointer;
        span {
          background-image: url('/assets/svg/icon-send-invite.svg');
        }
      }
    }
  }
}
.single-user-item-manageable.opened {
  background-color: rgb(246, 187, 66);
  .single-user-item-manageable__section_fifth {
    background-color: rgb(67, 74, 84);
    .single-user-item-manageable__section_fifth__right_part {
      .single-user-item-manageable__section_fifth__right_part__resend,
      .single-user-item-manageable__section_fifth__right_part__resend:hover,
      .single-user-item-manageable__section_fifth__right_part__delete:hover,
      .single-user-item-manageable__section_fifth__right_part__edit:hover,
      .single-user-item-manageable__section_fifth__right_part__resend:active,
      .single-user-item-manageable__section_fifth__right_part__delete:active,
      .single-user-item-manageable__section_fifth__right_part__edit:active,
      .single-user-item-manageable__section_fifth__right_part__resend:focus,
      .single-user-item-manageable__section_fifth__right_part__delete:focus,
      .single-user-item-manageable__section_fifth__right_part__edit:focus {
        background-color: rgba(246, 187, 66, 1);
      }
    }
  }
  .single-user-item-manageable__hidden_wrapper {
    max-height: 144px;
  }
}
@media all and (min-width: 768px) {
  .single-user-item-manageable {
    width: 100%;
    flex-wrap: nowrap;
    font-size: 14px;
    .single-user-item-manageable__section_first,
    .single-user-item-manageable__section_second,
    .single-user-item-manageable__section_third,
    .single-user-item-manageable__section_fourth,
    .single-user-item-manageable__section_fifth {
      height: 56px;
      box-sizing: border-box;
    }
    .single-user-item-manageable__hidden_wrapper {
      width: calc((((100% - 208px) / 5) * 4) + 144px);
    }
    .single-user-item-manageable__section_first {
      width: calc(((100% - 208px) / 5) + 64px);
      border-bottom: 2px solid rgba(0, 0, 0, 0.12);
      overflow: hidden;
      position: relative;
      .single-user-item-manageable__section_first__left_part {
        flex-shrink: 0;
      }
      .single-user-item-manageable__section_first__right_part {
        flex-shrink: 1;
        width: calc(100% - 64px);
        .single-user-item-manageable__section_first__right_part__role {
          display: none;
        }
        .single-user-item-manageable__section_first__right_part__name_lastname_container {
          flex-wrap: wrap;
          align-content: center;
          .single-user-item-manageable__section_first__right_part__name_lastname_container_name,
          .single-user-item-manageable__section_first__right_part__name_lastname_container_lastname{
            padding: 0;
            line-height: 1.2;
            width: 100%;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
      }
    }
    .single-user-item-manageable__section_second {
      padding: 0 5px 0 16px;
      width: calc((100% - 144px) / 4);
      border-bottom: 2px solid rgba(0, 0, 0, 0.12);
      .single-user-item-manageable__section_second__email {
        display: none;
      }
      .single-user-item-manageable__section_second__current_email {
        padding: 0;
        font-size: 14px;
        display: flex;
        align-items: center;
        p {
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
    .single-user-item-manageable__section_third {
      padding: 0;
      align-items: center;
      width: calc((100% - 144px) / 2);
      .single-user-item-manageable__section_third__status,
      .single-user-item-manageable__section_third__registration_date {
        width: 50%;
        flex-shrink: 0;
        padding: 0 5px 0 16px;
        box-sizing: border-box;
        .single-user-item-manageable__section_third__status_name,
        .single-user-item-manageable__section_third__registration_date__name {
          display: none;
          width: 50%;
        }
        .single-user-item-manageable__section_third__registration_date__current_date,
        .single-user-item-manageable__section_third__status__current_status {
//          padding: 0 5px 0 16px;
          padding: 0;
        }
      }
    }
    .single-user-item-manageable__section_fourth {
      border-bottom: 2px solid rgba(0, 0, 0, 0.12);
      display: flex;
      padding-left: 16px;
      padding-right: 5px;
      width: calc((100% - 144px) / 4);
      align-items: center;
      p {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }
    .single-user-item-manageable__section_fifth {
      width: 144px;
      flex-shrink: 0;
      flex-grow: 0;
      padding: 0;
      .single-user-item-manageable__section_fifth__left_part {
        display: none;
      }
      .single-user-item-manageable__section_fifth__right_part {
        .single-user-item-manageable__section_fifth__right_part__resend,
        .single-user-item-manageable__section_fifth__right_part__delete,
        .single-user-item-manageable__section_fifth__right_part__edit {
          border-bottom: 2px solid rgba(0, 0, 0, 0.12);
        }
        .single-user-item-manageable__section_fifth__right_part__resend {
          order: 1;
          display: block;
        }
        .single-user-item-manageable__section_fifth__right_part__delete {
          order: 2;
        }
        .single-user-item-manageable__section_fifth__right_part__edit {
          order: 3;
        }
      }
    }
    .single-user-item-manageable__hidden_wrapper {
      display: flex;
      flex-wrap: nowrap;
      max-height: none;
    }
  }
  .single-user-item-manageable.opened {
    .single-user-item-manageable__hidden_wrapper {
      max-height: none;
    }
  }
}

.managment-users {
  height: calc(100% - 20px);
}
//Heading
.single-user-items-table {
  
  height: calc(100% - 88px);
  border-radius: 4px;
  -webkit-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.12);
  -moz-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.12);
  box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.12);
}
.single-user-item-table__name_container {
  background-color: rgb(204, 209, 217);
  height: 48px;
  display: flex;
  font-family: 'Rubik', sans-serif;
  align-items: center;
  justify-content: space-between;
  .single-user-item-table__name {
    padding-left: 8px;
    p {
      color: rgba(67, 74, 84, 0.8);
      font-size: 16px;
      font-weight: 500;
    }
    p:first-letter {
      text-transform: uppercase;
    }
  }
  .single-user-item-table__name_container__filter_button_container {
    display: flex;
    justify-content: flex-end;
    width: 136px;
    cursor: pointer;
    position: relative;
    .single-user-item-table__name_container__filter_button_container__filter_container {
      position: absolute;
      top: 48px;
      right: 0;
      background-color: rgba(204, 209, 217, 1);
      box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.24);
      width: 136px;
      border-radius: 0 0 4px 4px;
      overflow: hidden;
      max-height: 0px;
      transition: max-height 0.5s ease;

      li {
        height: 48px;
        cursor: pointer;
        padding: 12px 6px 12px 16px;
        box-sizing: border-box;
        cursor: pointer;


        &.asc-sorting-direction-filter-item {
          background-color: rgba(105, 110, 118, 0.2);
        }
  
        &.desc-sorting-direction-filter-item {
          background-color: rgba(105, 110, 118, 0.9);
        }

        p {
          margin: 0;
          width: 100%;
          overflow: hidden;
          text-overflow: ellipsis;
          text-transform: capitalize;
          color: rgba(67, 74, 84, 0.8);
          font-size: 12px;
        }
      }
      li:active,
      li:hover {
        background-color: rgba(105, 110, 118, 0.3); 
      }
    } 
  }
  .single-user-item-table__name_container__filter_button_container:hover,
  .single-user-item-table__name_container__filter_button_container:active,
  .single-user-item-table__name_container__filter_button_container.active {
    background-color: rgba(105, 110, 118, 0.3);
  }
  .single-user-item-table__name_container__filter_button_container.active {
    .single-user-item-table__name_container__filter_button_container__filter_container {
      max-height: 144px;
    }
  }
  .single-user-item-table__name_container__button {
    display: flex;
    box-sizing: border-box;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-right: 8px;
    border-right: 1px solid rgba(255, 255, 255, 0.12);
    cursor: pointer;
    width: 48px;
    position: relative;
    height: 48px;
    p {
      color: rgb(230, 233, 237);
      font-size: 8px;
      padding: 2px 0 1px;
      text-transform: uppercase;
      line-height: 1.2;
    }
  }
  .single-user-item-table__name_container__button:before {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 6px solid rgb(230, 233, 237);
  }
  .single-user-item-table__name_container__button:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid rgb(230, 233, 237);
  }
}
.single-user-item-table-head {
  display: none;
}
@media all and (min-width: 768px) {
  .single-user-item-table__name_container {
    .single-user-item-table__name_container__filter_button_container,
    .single-user-item-table__name_container__button {
      display: none;
    }
    .single-user-item-table__name {
      padding-left: 64px;
    }
  }
  .single-user-item-table-head {
    display: flex;
    height: 48px;
    background-color: rgb(79, 193, 233);
    font-size: 10px;
    font-weight: 500;
    font-family: 'Rubik', sans-serif;
    text-transform: uppercase;
    color: rgba(255, 255, 255, 0.8);
    .single-user-item-table-head__section_second,
    .single-user-item-table-head__section_third,
    .single-user-item-table-head__section_fourth,
    .single-user-item-table-head__section_fifth {
      width: calc((100% - 208px) /5 );
      box-sizing: border-box;
      border-right: 1px solid rgba(255, 255, 255, 0.12);
      padding-left: 16px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: nowrap;
      .single-user-item-table-head__section_third__name,
      .single-user-item-table-head__section_fourth__name,
      .single-user-item-table-head__section_fifth__name {
        width: 100%;
        overflow: hidden;
        p {
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
    .single-user-item-table-head__section_sixth {
      width: 144px;
      flex-shrink: 0;
      flex-grow: 0;
      padding-left: 8px;
      box-sizing: border-box;
      display: flex;
      align-items: center;
    }
    .single-user-item-table-head__section_first {
      width: calc(((100% - 208px) / 5) + 64px);
      box-sizing: border-box;
      padding-left: 64px;
      border-right: 1px solid rgba(255, 255, 255, 0.12);
      display: flex;
      align-items: center;
    }
    .single-user-item-table-head__section_third__button,
    .single-user-item-table-head__section_fourth__button,
    .single-user-item-table-head__section_fifth__button {
      box-sizing: border-box;
      width: 48px;
      flex-shrink: 0;
      height: 48px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      p {
        font-size: 8px;
        padding: 2px 0 1px;
        line-height: 1.2;
      }
    }
    .single-user-item-table-head__section_third__button:before,
    .single-user-item-table-head__section_fourth__button:before,
    .single-user-item-table-head__section_fifth__button:before {
      content: "";
      display: block;
      width: 0;
      height: 0;
      border-left: 6px solid transparent;
      border-right: 6px solid transparent;
      border-bottom: 6px solid rgba(255, 255, 255, 0.8);

      &.asc-sorting-direction {
        border-bottom: 6px solid rgba(0, 0, 0, 1);
      }
    }
    .single-user-item-table-head__section_third__button:after,
    .single-user-item-table-head__section_fourth__button:after,
    .single-user-item-table-head__section_fifth__button:after {
      content: "";
      display: block;
      width: 0;
      height: 0;
      border-left: 6px solid transparent;
      border-right: 6px solid transparent;
      border-top: 6px solid rgba(255, 255, 255, 0.8);
    }

    .asc-sorting-direction {
        &:before {
          border-bottom: 6px solid rgba(0, 0, 0, 1);
        }
    }
      
      
    .desc-sorting-direction {
      &:after {
        border-top: 6px solid rgba(0, 0, 0, 1);
      }
    }
  }
}

 .single-user-item-table-body {
      height: calc(100% - 100px) !important;
      overflow-y: auto;
  }
  
@media all and (max-width: 865px) {
 .single-user-item-table-body {
      height: calc(100% - 50px) !important;
      overflow-y: auto;
  }

  .single-user-item-manageable {
    .remove-block-tooltip-container {
        right: 0px;
        width: 100%;
        margin-top: 70px;
    }

    &.single-user-spetific-last-child {
       .remove-block-tooltip-container {
          margin-top: 20px;
          margin-bottom: 30px;
       }
    }
  }
}

@media all and (min-width: 865px) {
  .single-user-item-manageable__section_fifth__right_part__resend {
     padding-top: 4px;
  }

  .single-user-item-manageable {
    .remove-block-tooltip-container {
      right: 0px;
      margin-top: 75px;

      &:after {
         right: 55px;
      }
    }

    &.single-user-spetific-last-child {
      .remove-block-tooltip-container {
          margin-top: -170px;

          &:after {
            top: 150px;
            border-bottom: none;
            border-top: 20px solid #e9573f;
          }
      }
    }
  }
}